Bug 538676 - Temporary Cache Causes Problem with Pubsnumbers When Pushing to Brew
Temporary Cache Causes Problem with Pubsnumbers When Pushing to Brew
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 22:35 EST by David Le Sage
Modified: 2010-11-23 23:18 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 23:49:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Le Sage 2009-11-18 22:35:28 EST
Description of problem:
If a user is trying to "push" a document to Brew, the /tmp/ data from previous builds can cause conflicts.

(Workaround:  Use the command "publican clean.")

Version-Release number of selected component (if applicable):
Publican 1.1 (Fedora 12)

How reproducible:
Every time after initial build..

Steps to Reproduce:
1.  Send a DocBook XML book to brew with this command:

publican package  --lang en-US  --brew

2.  Now, open the Book_Info.xml file in a text editor and increment the <pubsnumber>n</pubsnumber> by 1.
3.  Save the file.
4.  Run 

publican package  --lang en-US  --brew

again.  
  
Actual results:
Error message output:


Watching tasks (this may be safely interrupted)...
2083898 build (docs-5E, JBoss_Enterprise_SOA_Platform-Smooks_User_Guide-5.0.0-web-en-US-1-2.el5.src.rpm): open (x86-003.build.bos.redhat.com)
2083898 build (docs-5E, JBoss_Enterprise_SOA_Platform-Smooks_User_Guide-5.0.0-web-en-US-1-2.el5.src.rpm): open (x86-003.build.bos.redhat.com) -> FAILED: GenericError: Build already exists (id=117009, state=COMPLETE): {'name': 'JBoss_Enterprise_SOA_Platform-Smooks_User_Guide-5.0.0-web-en-US', 'task_id': 2083898, 'pkg_id': 18498, 'epoch': None, 'completion_time': None, 'state': 0, 'version': '1', 'owner': 1028, 'release': '2.el5', 'id': 117009}
  0 free  0 open  0 done  1 failed


Expected results:
Book should be built and sent to Brew without a problem.

Additional info:
After running 

publican clean

the book can be sent to Brew successfully.
Comment 1 Jeff Fearn 2009-11-18 22:48:15 EST
This was fixed in 1.2.

* Wed Nov 4 2009 Jeff Fearn <jfearn@redhat.com> 1.2-0
...
- force package to run clean to avoid stale content.

Rudi, when is 1.2 hitting the streets?
Comment 2 Jeff Fearn 2009-11-25 23:49:58 EST
1.2 is out!

Note You need to log in before you can comment on or make changes to this bug.